### Method

# Gtk IconThemeget_resource_path

#### Declaration [src]

    char**
    gtk_icon_theme_get_resource_path (
      GtkIconTheme* self
    )

#### Description [src]

Gets the current resource path.

See `gtk_icon_theme_set_resource_path()`.

Gets property | `Gtk.IconTheme:resource-path`

#### Return value

Type: An array of `utf8`

A list of resource paths.

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.